[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.Dock

Docks the form to the specified dock site.

## Declaration

Source position: forms.pp line 760

`public procedure TCustomForm.Dock(`
`NewDockSite: TWinControl;`
`ARect: TRect`
`); override;`

## Arguments

`NewDockSite` |  | Dock site where the form instance is hosted.
`ARect` |  | Returns the bounds rectangle for the form instance on the dock site. The origin is 0, 0. Width and Height depend on the AutoSize setting in NewDockSite.

## Description

Calls the inherited method using the values in NewDockSite and ARect as arguments.

## See also

TControl.Dock |  | Moves the control into a new docksite.